ftp_rmdir
ftp_site
FTP-Funktionen
PHP Manual

# ftp_set_option

(PHP 4 >= 4.2.0, PHP 5)

ftp_set_option — Setzt diverse FTP-Laufzeitoptionen

### Beschreibung

bool ftp_set_option ( resource `$ftp_stream` , int `$option` , mixed `$value` )

Diese Funktion kontrolliert diverse FTP-Laufzeitoptionen für den angegebenen FTP-Stream.

### Parameter-Liste

`ftp_stream`

  Der Verbindungshandler der FTP-Verbindung.

`option`

  Zur Zeit werden folgende Optionen unterstützt:

  Unterstützte FTP-Laufzeitoptionen
  `FTP_TIMEOUT_SEC` | Ändert den Timeout in Sekunden für alle folgenden Netzwerkoperationen. `value` muss eine ganze Zahl sein, die größer als 0 ist. Der Standardwert des Timeouts ist 90 Sekunden.
  `FTP_AUTOSEEK` | Falls aktiviert, werden GET- oder PUT-Anfragen mit einem `resumepos`- oder `startpos`-Parameter innerhalb der Datei erst die angegebene Position suchen. Dies ist standardmäßig aktiviert.

`value`

  Dieser Parameter hängt davon ab, welche `option` für die Änderung ausgewählt wurde.

### Rückgabewerte

Gibt `TRUE` zurück, wenn die Option gesetzt werden konnte, sonst `FALSE`. Eine Warnung wird geworfen, falls die `option` nicht unterstützt wird oder falls der angegebene `value` nicht mit dem erwarteten Wert für die angegebene `option` übereinstimmt.

### Beispiele

Beispiel #1 ftp_set_option()-Beispiel

`<?php
// Setze den Netzwerk-Timeout auf 10 Sekunden
ftp_set_option($conn_id, FTP_TIMEOUT_SEC, 10);
?>`

### Siehe auch

- ftp_get_option() - Ruft diverse Laufzeitoptionen des angegebenen FTP-Streams ab

ftp_rmdir
ftp_site
FTP-Funktionen
PHP Manual